Subject: Re: bug#24696: Xorg segfault

From: [email-masked] (Ludovic Courtès)
Date: Mon, 17 Oct 2016 10:24:37 +0200

Julien Lepiller <[email-masked]> skribis:

> On Sun, 16 Oct 2016 21:32:21 +0200
> [email-masked] (Ludovic Courtès) wrote:
>
>> Hello,
>> 
>> Julien Lepiller <[email-masked]> skribis:
>> 
>> > [    27.673] (II) LoadModule: "ati"
>> > [    27.674] (II)
>> > Loading /gnu/store/r9l8k52a9alvycl7qd4sm3kxp5d682g5-xf86-video-ati-7.7.0/lib/xorg/modules/drivers/ati_drv.so
>> > [    27.737] (II) Module ati: vendor="X.Org
>> > Foundation" [    27.737] 	compiled for 1.18.1, module
>> > version = 7.7.0 [    27.738] 	Module class: X.Org Video
>> > Driver [    27.738] 	ABI class: X.Org Video Driver, version
>> > 20.0 [    27.738] (II) LoadModule: "radeon" [    27.739] (II)
>> > Loading /gnu/store/r9l8k52a9alvycl7qd4sm3kxp5d682g5-xf86-video-ati-7.7.0/lib/xorg/modules/drivers/radeon_drv.so
>> > [    27.929] (II) Module radeon: vendor="X.Org Foundation"  
>> 
>> [...]
>> 
>> > [    28.167] (II) RADEON: Driver for ATI Radeon chipsets:  
>> 
>> [...]
>> 
>> > [    28.615] (II) FBDEV(0): hardware: ATI Radeon 5b63 (video
>> > memory: 262144kB)  
>> 
>> Xorg seems to be using the ATI driver, which was just recently added
>> to the default set of Xorg drivers (commit
>> 3126fd8820e8c30e27ef978d66dced8763d04905).
>> 
>> Could you try reverting that commit and see if it gives you a working
>> Xorg over VESA/FB or something?
>
> Unfortunately, Xorg doesn't start either. I attached the new Xorg log.

OK so the problem may be unrelated.

Did you have success with previous versions of xorg-server or the
drivers?

(FWIW I use 1.18.1 successfully with xf86-video-intel.)

>> Is xf86-video-ati known to be unstable?
>
> I don't think so, but it cannot work with my graphics card without a
> binary blob.

So what do you use on other free distros?  VESA?  Anything special is
needed in xorg.conf?

Thanks,
Ludo’.